*** gd_GB.orig.aff	Wed Aug 31 20:50:02 2005
--- gd_GB.aff	Fri Sep 30 13:04:30 2005
***************
*** 19 ****
--- 19,317 ----
  TRY ahinrdesclgoutmbàf-òACìTùBpGSDMèIRPLNEFéO'UóÀÒÌÙHÉÈ
+ 
+ FOL  ßàáâãäåæçèéêëìíîïðñòóôõöøùúûüýþÿ
+ LOW  ßàáâãäåæçèéêëìíîïðñòóôõöøùúûüýþÿ
+ UPP  ßÀÁÂÃÄÅÆÇÈÉÊËÌÍÎÏÐÑÒÓÔÕÖØÙÚÛÜÝÞÿ
+ 
+ MIDWORD	'-
+ 
+ MAP 9
+ MAP aàáâãäå
+ MAP eèéêë
+ MAP iìíîï
+ MAP oòóôõö
+ MAP uùúûü
+ MAP nñ
+ MAP cç
+ MAP yÿý
+ MAP sß
+ 
+ # soundslike mapping from Aspell
+ # Aspell phonetics for Irish, by Kevin Scannell <scannell@slu.edu>
+ # Copyright 2002, 2003 Kevin P. Scannell, distributed under GNU GPL
+ # version 2.0 or the Vim license (attribution by Kevin Scannell, Jan 2012)
+ 
+ SAL followup 0                    # else breaks QU^, e.g.
+ SAL collapse_result 1             # no double letters in resulting strings
+ 
+ SAL ANBHANN-----         *N*      # epenthetic vowel, anbhanna? only, see NBH--
+ SAL ANBHAIN-----         *N*      # epenthetic vowel, anbhainne? only, see NBH--
+ SAL AERGA--              *R       # epenthetic exception, see RG, aerga only
+ SAL AORG-                *R       # epenthetic exception, see RG, [ms]aorg*, etc.
+ SAL AEILG-               *L       # epenthetic exception, Gaeilge* only, see LG 
+ SAL AILBH--              *L*      # epenthetic vowel, [bcs]ailbh* only, see LBH--
+ SAL ALBHÁD----           *L       # galbhád only, next few are exceptions to ALBH
+ SAL ALBHÁID-----         *L       # galbháid only (coinnealbháidís, etc. b4)
+ SAL ALBHR---             *L       # pobalbhreith, galbhruith, etc. except. to next
+ SAL ALBH--               *L*      # epenthetic vowel
+ SAL ARBHÁD----           *R       # mótarbhád only, exception to ARBH epenth.
+ SAL ARBHÁID-----         *R       # mótarbháid only,   "       "   "    " 
+ SAL ARBHUIL-----         *R       # epenth. exception, garbhuille only, cuarbh* b4
+ SAL ARBHUA----           *R       # epenth. exception, eadarbhuas* only
+ SAL ARBHIN----           *R*      # exception to next, marbhintinn* only
+ SAL ARBH(EI)---          *R       # epenthetic exception to next, *tarbhealach, etc.
+ SAL ARBH--               *R*      # epenthetic, garbh, dearbh, etc. - [IU]ARBH b4
+ SAL ATHFH(ÁÉÓAEIOU)---   *H       # athfhill,uathfheidhmeach,etc.-exception to next
+ SAL ATH(BCDFGLMNPRST)-   *        # athlas, mionathrú, etc. - exception to TH->H
+ SAL ADH                  *        # bladhm, feadhain, tadhall, adhmad, -adh$, etc.
+ SAL AGHI---              *        # exception to AGH, corraghiob only
+ SAL AGHLOIN------        *        #   "       "  ", pleicseaghl- only (not aghloit)
+ SAL AGH                  *        # slaghdán, treaghd, saghas, etc.
+ SAL AOMH(FLNST)---       *        # faomh[ft]-,caomhn*,naomh* only, OMH exception
+ SAL A                    *
+ SAL ÁIRG-                *R       # epenthetic exception, see RG, táirg*, etc.
+ SAL ÁDHU---              *        # pádhuille only, exception to next
+ SAL ÁDH                  *        # ádhúil, -ádh$ only
+ SAL ÁTHFH--              *H       # táthfhéithleann, gnáthfh- only exception to next
+ SAL ÁTH(BCDFGLMNPRST)-   *        # fáthscéal, gnáth*, bláthfhleasc, etc.
+ SAL Á                    *
+ SAL BANBH^$              B*N*V    # epenthetic vowel, see NBH--, banbh, not -arún
+ SAL BHANBH^$             V*N*V    # epenthetic vowel, see NBH--
+ SAL BAINBH^$             B*N*V    # epenthetic vowel, see NBH--, bainbh only
+ SAL BHAINBH^$            V*N*V    # epenthetic vowel, see NBH--
+ SAL BH                   V        # includes bh$, eclipsis of F via collapsing
+ SAL B                    B        # note eclipsis of P via collapsing
+ SAL CHÉADFAÍ--$          K*TV     # exception to FAÍ$, (bréag|do|mí)
+ SAL CHEARCH--            K*R*     # epenthetic vowel, chearchaill only
+ SAL CEARCH--             K*R*     # epenthetic vowel, g?cearchaill only
+ SAL CHONF                K*N*V    # epenthetic vowel,no dash=>handles FAI?DH$excepts
+ SAL CONF                 K*N*V    #     "        "    "   "     "       "       "
+ SAL CANBH--              K*N*     # epenthetic vowel, see NBH--, g?canbhás* only
+ SAL CHANBH--             K*N*     # epenthetic vowel, see NBH--, chanbhás* only
+ SAL COLBHA---            K*L*     # epenthetic vowel, see LBH--, g?colbhaí? only
+ SAL CHOLBHA---           K*L*     # epenthetic vowel, see LBH--, cholbhaí? only
+ SAL CURF                 K*RV     # exception to FÁ$, g?curfá(nna) only
+ SAL CHURF                K*RV     # exception to FÁ$, churfá(nna) only
+ SAL CH                   K        # OK
+ SAL C                    K
+ SAL DHORCH--             K*R*     # epenthetic vowel, dorcha root only
+ SAL DORCH--              T*R*     # epenthetic vowel, dorcha root only
+ SAL DHEARF               Y*R*     # epenthetic vowel,init only, no dash=>FAÍ except
+ SAL DEARF                T*R*     # epenthetic vowel,initial only (nd- done b4)
+ SAL DHEIRF-              Y*R*     # epenthetic vowel, initial only
+ SAL DEIRF-               T*R*     # epenthetic vowel, (leas)?deirf* only
+ SAL DHOIL(BF)-           K*L*     # epenthetic,see LBH--,initial only,dhoil(fe|bh)*
+ SAL DOIL(BF)-            T*L*     # epenthetic, see LBH--, "      "  (nd- done b4)
+ SAL DHIFEAR              Y*V*R    # exception to FEAR$, ^dhifear$ only
+ SAL DIFEAR               T*V*R    # exception to FEAR$, ^difear$ only (nd- b4)
+ SAL DH$                  _        # [aáu]dh+most [io]dh done b4,[eéíóú]dh done here
+ SAL DH(AÁOÓUÚ)-          K        # athdhúchas, buídhonn, comhdháil, etc.
+ SAL DH(EÉIÍ)-            Y        # athdhéan, caordhearg, cinedheighilt, etc.
+ SAL DHL(AUÚ)--           K        # comhdhlúthaigh, ^dhl-  only
+ SAL DHL(EIÍ)--           Y        # (mí|neamh)dhl(istean|eath|íthiú), ^dhl  only
+ SAL DHR(AÁOÓUÚ)--        K        # *dhroim,marbhdhra*,*dhr[áu]ma, ^dhr only
+ SAL DHR(ÉEIÍ)--          Y        # *dhreach,feirdhris,*dhréacht,*dhreasacht,^dhr
+ SAL D                    T        # note eclipsis of T via collapsing
+ SAL EAFAR--$             *V       # geafar, meafar only, FAR$ exception
+ SAL EOFAR--$             *        # silent verb ending, exception to OFAR$ except!
+ SAL EILBH--              *L*      # epenthetic vowel, see LBH-- exception below
+ SAL EIDH(EI)-            *        # augments IDH rule,eidheann,teidheach,meidhir,etc
+ SAL EOMH(FT)---          *        # leomh[ft]- only, exception to -omh rule
+ SAL E                    *
+ SAL ÉARBH--              *R       # epenthetic exception, géarbh- only
+ SAL ÉARM-                *R       # epenthetic exception, éarmh+ téarma root only
+ SAL ÉARG-                *R       # epenthetic exception, éargh+(lán)?léargas only
+ SAL ÉIRG-                *R       # epenthetic exception, éirgh+ ailléirge only
+ SAL ÉIRBH--              *R       # epenthetic except. léirbhreith*, spéirbhean only
+ SAL ÉALBH--              *L       # béalbhach only, exception to ALBH
+ SAL ÉAFÁ                 *V*      # éafá only, exception to FÁ$
+ SAL É                    *
+ SAL FHAIRCH--            *R*      # epenthetic vowel, fhairch* only
+ SAL FAIRCH--             V*R*     # epenthetic vowel, (bh)?fairch* only
+ SAL FHOIRF-              *R*      # epenthetic vowel, foirfe root only
+ SAL FOIRF-               V*R*     # epenthetic vowel, initial (bh)?foirf* only
+ SAL FHONNMH--            *N*      # epenthetic vowel, see NMH--, fhonnmhai?r* only
+ SAL FONNMH--             V*N*     #    "         "     "    ", (bh)?fonnmhai?r* only
+ SAL FHOILMH--            *L*      # epenthetic vowel, see LMH--, fhoilmhe only
+ SAL FOILMH--             V*L*     # epenthetic vowel, see LMH--, (bh)?foilmhe only
+ SAL FHOLMH--             *L*      # epenthetic vowel, see LMH--, fholmh* only
+ SAL FOLMH--              V*L*     # epenthetic vowel, see LMH--, (bh)?folmh* only
+ SAL FEADH^$              V*       # exception to verb ending below, eclipsis by luck
+ SAL FEAR^$               V*R      #     "      "   "     "     "        "     "   " 
+ SAL FINN^$               V*N      #     "      "   "     "     "        "     "   " 
+ SAL FEÁ^$                V*       #     "      "   "     "     "        "     "   " 
+ SAL FAÍ^$                V*       #     "      "   "     "     "        "     "   " 
+ SAL FÍ^$                 V*       #     "      "   "     "     "        "     "   " 
+ SAL FAIDH----$           _        # silent 'f' in verb ending
+ SAL FADH---$             _        #   "     "   "   "    "
+ SAL FIDH---$             _        #   "     "   "   "    "
+ SAL FEADH----$           _        #   "     "   "   "    "    
+ SAL FEAR---$             _        #   "     "   "   "    "    
+ SAL FAR--$               _        #   "     "   "   "    "
+ SAL FINN---$             _        #   "     "   "   "    "    
+ SAL FAINN----$           _        #   "     "   "   "    "    
+ SAL FÁ-$                 _        #   "     "   "   "    " 
+ SAL FEÁ--$               _        #   "     "   "   "    " 
+ SAL FAÍ--$               _        #   "     "   "   "    "
+ SAL FÍ-$                 _        #   "     "   "   "    "
+ SAL FAIMI(DS)-----$      _        #   "     "   "   "    "  (no exceptions)
+ SAL FIMI(DS)----$        _        #   "     "   "   "    "  (no exceptions)
+ SAL FAIDÍS-----$         _        #   "     "   "   "    "  (no exceptions)
+ SAL FIDÍS----$           _        #   "     "   "   "    "  (no exceptions)
+ SAL FH                   _        # always silent 
+ SAL F                    V
+ SAL GHAINMH--            K*N*     # epenthetic vowel,see NMH--,^ghainmh* only
+ SAL GAINMH--             K*N*     # epenthetic vowel,see NMH--,^gainmh* only, ng- b4
+ SAL GHEALLMH--           Y*L*     # epenthetic vowel,see LMH--,gheallmhar only
+ SAL GEALLMH--            K*L*     # epenthetic vowel,see LMH--,geallmhar only
+ SAL GLAFADH              KL*V*    # exception to FADH$, not glafarnach
+ SAL GHLAFADH             KL*V*    # exception to FADH$ 
+ SAL GLAFAIDH             KL*V*    # exception to FAIDH$, not glafaire
+ SAL GHLAFAIDH            KL*V*    # exception to FAIDH$ 
+ SAL GH$                  _        # [aióu]gh,most ogh done b4,[eáéíú]gh all terminal
+ SAL GH(AÁOÓUÚ)-          K        # bobghaiste, deoirghás, soghonta, etc.
+ SAL GH(EÉIÍ)-            Y        # athghin, luasghéaraigh, etc.
+ SAL GHL(AÁOÓUÚ)--        K        # ardghlórach, folúsghlantóir, etc.
+ SAL GHL(EÉI)--           Y        # comhghléas, comhghleacaí, scoiltghleann, etc.
+ SAL GHR(AÁOÓUÚ)--        K        # tírghrá, grianghraf, aoisghrúpa, etc. 
+ SAL GHR(EÉIÍ)--          Y        # idirghréasán, breithghreamannach, etc.
+ SAL GHN(AÁOÓUÚ)--        K        # deasghnáth, neamhghnách, etc.
+ SAL GHN(EÉIÍ)--          Y        # leorgníomh, aonghnéitheach, etc.
+ SAL G                    K        # note eclipsis of C via collapsing
+ SAL H                    H        # between vowels+Faranhaít,forhalla,etc.
+ SAL IARG-                *R       # epenthetic exception, iargúil, tiargáil, etc.
+ SAL IARBH--              *R       # iarbháis, giarbhosca, etc. epenth. exception
+ SAL IDIRBH--             *T*R     # idirbheart, idirbhliain, etc., exception to IRBH
+ SAL IRBHRÚ----           *R       # muirbhrúcht* only, exception to IRBH--
+ SAL IRBHU---             *R       # eochairbhuille,litirbhuama only, except. to next
+ SAL IRBH--               *R*      # *seirbhís, tairbh*, toirbh*, etc. epenthetic
+ SAL IFÍ-$                *V       # exception to FÍ$, ÉIFÍ$ done before
+ SAL INMHE(AÁ)----        *N       # exception to next,ainmheasartha,inmheabhrú, etc.
+ SAL INMHE---             *N*      # epenthetic vowel, inmhe$ only by previous
+ SAL INNMH--              *N*      # epenthetic vowel, fuinnmh-, coinnmhe only
+ SAL IONMHAG----          *N       # exception to next, mionmhagadh only
+ SAL IONMHA---            *N*      # epenthetic vowel, cionmhar only, see NMH--
+ SAL ITHFH(AEIOUÁÉÍÓÚ)--- *H       # cithfholc*,crithfhuacht,frith* only- see next
+ SAL ITH(BCDFGLMNPRST)-   *        # aithris, frith*, etc.  exception to TH->H
+ SAL IDH(BCDFGLMNPRST)-   *        # feidhm, traidhfil, oidhre, etc.
+ SAL IGH(CDEFILNRST)-     *        # foighne,caighdeán,oighrigh,oighear,feighil,etc.
+ SAL I                    *
+ SAL ÍORM-                *R       # epenthetic exception, díorma, fíor- only
+ SAL ÍOMH(BCDFGLMNPRST)--- *       # (pr|r|l|sn|gn)íomh- only, exceptions to omh-
+ SAL ÍTHS-                *        # clíthseach only (no excp. for díthreabh, etc.)
+ SAL Í                    *
+ SAL J                    T        # initial j, diosc-jacaí only; bit like slender d
+ SAL K                    K        # karaté only
+ SAL LEANBH--             L*N*     # epenthetic vowel, (ucht)?leanbh(aois)?,see NBH--
+ SAL LINBH--              L*N*     # epenthetic vowel, (ucht)?linbh only, see NBH--
+ SAL LMH--                L        # feallmharú, etc., epenth. exception
+ SAL LBH--                L        # uaillbhreas, etc., epenth. exception
+ SAL LGH--                L        # timpeallghearr, etc., epenth. exception
+ SAL L(BGM)-              L*       # epenthetic vowel, see also ULCH--
+ SAL L                    L
+ SAL MORFAÍ--$            M*RV     # exception to silent FAÍ$
+ SAL MBANBH^$             M*N*V    # epenthetic vowel, see NBH--, not -arún
+ SAL MBAINBH^$            M*N*V    # epenthetic vowel, see NBH--
+ SAL MB^                  M        # eclipsis
+ SAL MHARF-               V*R*     # epenthetic vowel
+ SAL MARF-                M*R*     # epenthetic vowel, initial only
+ SAL MHODH                V*       # ODH exception, usually initial
+ SAL MODH                 M*       #  "     "     ,   "       "
+ SAL MH                   V        # includes mh$,/w/,/v/ + see UMH
+ SAL M                    M
+ SAL NAFAÍ--              N*V      # exception to FAÍ$, snafaí only
+ SAL NNARB-               N*R      # exception to RB epenthetic, ionnarb* only
+ SAL NNEALBH--            N*L      # exception to ALBH epenthetic, coinnealbhá only
+ SAL NDORCH--             N*R*     # epenthetic vowel, see DORCH--
+ SAL NDEARF-              N*R*     # epenthetic vowel, see DEARF-
+ SAL NDEIRF-              N*R*     # epenthetic vowel, see DEIRF-
+ SAL NDOIL(BF)-           N*L*     # epenthetic vowel, see DOIL(BF)-
+ SAL NDIFEAR              N*V*R    # exception to FEAR$, ^ndifear$ only
+ SAL NGAINMH--            N*N*     # epenthetic vowel, see GAINMH--
+ SAL NGEALLMH--           N*L*     # epenthetic vowel, see GEALLMH-
+ SAL NGLAFADH             NL*V*    # exception to FADH$, ^nglafadh$ only
+ SAL NGLAFAIDH            NL*V*    # exception to FAIDH$, ^nglafaidh$ only
+ SAL NCHA(ÍS)----         N*       # epenthetic vowel, *sh?eancha(ís)*,ionchas only
+ SAL NCHAIRD------        N        # exception to next, daonchaird* only
+ SAL NCHAI(RS)-----       N*       # epenth. tionchair*, ionchais, *sh?eanchai*, etc.
+ SAL NCHAITHE-------      N*       #     "        "  , sh?eanchaithe, not seanchaite
+ SAL N(DG)^               N        # eclipsis
+ SAL NMH--                N        # exception to N(BM)-, pianmhar, onnmhaire, etc. 
+ SAL NBH--                N        #    "       "   ", aonbheannach, bunbhrat, etc.
+ SAL N(BM)-               N*       # epenthetic vowel, binb, ainm, etc.
+ SAL N                    N
+ SAL OFAR--$              *V       # exception to FAR$, EOFAR done b4
+ SAL OIRCH--              *R*      # epenthetic vowel, t?oirch* only
+ SAL OCALBH--             *K*L     # exception to ALBH - focalbhá* only
+ SAL ORBHÁ---             *R*      # epenthetic vowel, forbhás only
+ SAL ONNCHA---            *N*      # epenthetic vowel   fionncha, Donncha only
+ SAL OMHARB-              *R       # exception to epenth. R(BFGM)-, comharba* only
+ SAL OMH(BCDFGLMNPRST)-   *        # comh-, Domhnach, etc. (several excpts b4 this)
+ SAL OTH(BCDGLMNPRS)-     *        # cothrom, baothchaint, gaothscáth, etc.
+ SAL ODHAO----            *        # fodhao* only, exception to next
+ SAL ODH(ACLNR)-          *        # bodhrán,modhnaigh,todhchaí,fodhla,bodhar etc.
+ SAL OGHRÚP-----          *        # foghrúpa, this and next few are OGH->* excepts.
+ SAL OGHLUA-----          *        # so/doghluaiste* only
+ SAL OGHAF----            *        # doghafa only
+ SAL OGH(AÁBCDFGLMNPRST)- *        # ogham, foghlaim, boghdóir, toghchán, etc.
+ SAL O                    *
+ SAL ÓR(GM)-              *R       # epenthetic exception, (for)?th?órmach, órga,etc.
+ SAL ÓGH                  *        # ógha?$ only
+ SAL Ó                    *
+ SAL PH                   V        # OK
+ SAL P                    B
+ SAL QU                   KV       # ^quinín$, ^quarto$ only
+ SAL RANFAÍ--             R*NV     # exception to silent FAÍ$, -chuaranfaí only
+ SAL RAFAÍ--              R*V      # exception to silent FAÍ$, all *graf-
+ SAL RRBHA---             R*       # epenthetic vowel, cearrbh* only, no carrbhuama
+ SAL REALMH--             R*L*     # epenthetic vowel, see LMH--, trealmh* only
+ SAL RÍFEAR^$             R*V*R    # exception to FEAR$, not athrífear!
+ SAL ROMH(FT)---          R*       # promh[ft]- only, exception to -omh rule
+ SAL RFEAN----            R*       # epenthetic vowel, (be|se|ga)irfean only
+ SAL RFIN---$             R*       # epenthetic vowel, same words as previous
+ SAL RBH--                R        # cíorbhuí, aerbhrat, etc., epenth. exception
+ SAL RMH--                R        # iarmhar, léirmheas, etc., epenth. exception
+ SAL RGH--                R        # daorghalar, etc., epenth. exception
+ SAL RBO--                R        # cosarbolg only, epenth. exception
+ SAL R(BGM)-              R*       # epenthetic vowel
+ SAL R                    R
+ SAL SHORCH--             H*R*     # epenthetic vowel, sorcha root only
+ SAL SORCH--              S*R*     # epenthetic vowel, sorcha root only
+ SAL SHOILBH--            H*L*     # epenthetic, see LBH--
+ SAL SOILBH--             S*L*     # epenthetic, see LBH--
+ SAL SH                   H        # OK
+ SAL S                    S
+ SAL TALMH--              T*L*     # epenthetic vowel, see LMH--, talmhaigh only
+ SAL THALMH--             H*L*     # epenthetic vowel, see LMH--,    "       "
+ SAL TINF(EI)-            T*NV     # exception to F(EA|I)DH$, d?tinf(ea|i)dh only
+ SAL THINF(EI)-           H*NV     # exception to F(EA|I)DH$, thinf(ea|i)dh only
+ SAL TAFA-                T*V      # exception to FAINN$, d?tafainn only
+ SAL THAFA-               H*V      # exception to FAINN$, thafainn only
+ SAL TSORCH--             T*R*     # epenthetic vowel, see SORCH--
+ SAL TSOILBH--            T*L*     # epenthetic vowel, see SOILBH--
+ SAL TS^                  T        # prefix-t
+ SAL TH$                  _        # no exceptions
+ SAL TH                   H
+ SAL T                    T
+ SAL UFA(ÍR)--$           *V       # exception to FAR$, brufar/[cr]ufaí only
+ SAL UARG-                *R       # epenthetic exception, fuarga*, tuargain only
+ SAL UAIRG-               *R       # epenthetic exception, tuairgn* only
+ SAL UARBH--              *R       # epenthetic exception, fuarbh*, cuarbh* only 
+ SAL UALGA--              *L       # epenthetic exception, dualgas only
+ SAL ULLMH--              *L*      # epenthetic vowel, see LMH--
+ SAL UMH                  *        # cumhacht, umhlaíocht, ciumhais, except. to MH->V
+ SAL UTH(BCDGLMNPR)-      *        # sruth*, guthphost only, TH->H exception
+ SAL ULCH--               *L*      # epenth. vowel,ulcha,[tm]ulchán,amhulchach only
+ SAL URCH(AÓ)---          *R*      # epenthetic vowel, urchar, urchall, urchóid, etc.
+ SAL UDH                  *        # mudh* only (literary)
+ SAL UGH                  *        # brugh* only (literary)
+ SAL U                    *
+ SAL ÚIRG-                *R       # epenthetic exception, liotúirg* only, see RG
+ SAL ÚTH(BCDFLPR)-        *        # lúthchleasa, dúthracht, etc. - TH->H exception
+ SAL Ú                    *
+ SAL V                    V
+ SAL W                    V        # wigwam only
+ SAL X(AEÉIÍ)-^           S        # xileafón, etc.
+ SAL X^                   *KS      # x-gha* only
+ SAL X                    KS       # Marxach only
+ SAL Y                    Y        # yóyó only
+ SAL Z                    S        # zú, puzal, etc.
